package com.gic.haoban.manage.service.service.out.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.statistics.StatisticsDTO;
import com.gic.haoban.manage.api.service.statistics.DataStatisticsApiService;
import com.gic.haoban.manage.api.util.DataHttpUtil;
import org.springframework.stereotype.Service;

/**
 * 数据组对接接口
 * @Author guojx
 * @Date 2022/7/13 11:34
 */
@Service("dataStatisticsApiService")
public class DataStatisticsApiServiceImpl implements DataStatisticsApiService {
    @Override
    public ServiceResponse<StatisticsDTO> post(String apolloKey, Object body) {
        return ServiceResponse.success(DataHttpUtil.post(apolloKey, body));
    }
}
